---
title: "List schema fields"
slug: "list-schema-fields-v2crmentity-schema-1"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Schema Fields (/v2/crm/entity-schema)

Get/v2/crm/entity-schema<style>.public-api-info {    background: rgb(222, 235, 255);}.public-api-tip {    background: rgb(227, 252, 239);}.public-api-parameter {    background: rgba(9,30,66,0.08);}.public-api-note {    background: rgb(234, 230, 255);}.public-api-important {    background: rgb(255, 250, 230);}.public-api-critical {    background: rgb(255, 235, 230);}table, th, td {  border: 1px solid gray;  border-collapse: collapse;}th, td {  padding: 5px;}th {  text-align: left;}img {  border: 2px solid #D3D5D9;}</style>

Retrieves a list of the object schema fields.

When accessed using a bearer token, this endpoint requires the scope 'api:crm:schema'.

### Example

#### Request

`GET https://api.gong.io/v2/crm/entity-schema?integrationId=6286478263646&objectType=ACCOUNT`

#### Response

`{    "requestId": "afjkzqkqglog7ueki5",    "objectTypeToSelectedFields": {        "ACCOUNT": [            {                "name": "accountTypePicklist",                "label": "Account Type",                "type": "PICKLIST",                "lastModified": null,                "isDeleted": false,                "referenceTo": null,                "orderedValueList": null            },            {                "name": "accountTypePicklist2",                "label": "Account Type2",                "type": "PICKLIST",                "lastModified": null,                "isDeleted": false,                "referenceTo": null,                "orderedValueList": null            },            {                "name": "fooBar",                "label": "Foo Bar",                "type": "STRING",                "lastModified": null,                "isDeleted": false,                "referenceTo": null,                "orderedValueList": null            }        ]    }}`

Query parametersintegrationIdinteger (int64) Required

Integration ID generated when creating the integration

objectTypestringRequired

Type of object to retrieve the schema fields for (case-sensitive). Omitting this parameter returns the schema for all object types.

Valid values[
  "ACCOUNT",
  "CONTACT",
  "DEAL",
  "LEAD"
]

Responses200

Successfully retrieved crm schema fields

<select class='api-response-data' aria-label='Media type'><option value='16cc243b-3711-42ff-974d-15647feaf61a'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
objectTypeToSelectedFieldsobject  

selectedFields

property* Array of object (GenericSchemaFieldRequest)   additionalProperties

selectedFields

object  

selectedFields

uniqueNamestring    

The unique name of the field in the CRM system

Exampleaccountowner
labelstring    

The label to use in the UI for this field

ExampleAccount Owner
typestring    

The field type (case-sensitive). Must be one of the types listed above.

Valid values[
  "DATE",
  "DATETIME",
  "NUMBER",
  "PERCENT",
  "CURRENCY",
  "ID",
  "URL",
  "STRING",
  "BOOLEAN",
  "PHONENUMBER",
  "EMAILADDRESS",
  "PICKLIST",
  "REFERENCE",
  "STRINGARRAY"
]ExampleREFERENCE
lastModifiedstring    

The date and time the schema was last modified. Valid format: ISO-8601 format without milliseconds e.g., "2020-12-17T13:45:01Z"

Example2020-12-17T13:45:01Z
isDeletedboolean    

When true, deletes the field from the schema and its value is removed from all objects. Use with caution

Examplefalse
referenceTostring    

The object type this field refers to. Required for field of type REFERENCE. Must be one of "ACCOUNT", "CONTACT", "DEAL", "LEAD" or "USER"

ExampleUSER
orderedValueList Array of string   

The list of values for the field. Required for PICKLIST fields

Example[
  "Analyst",
  "Competitor",
  "Customer",
  "Integrator",
  "Investor",
  "Partner",
  "Other"
]string    

The list of values for the field. Required for PICKLIST fields

Example["Analyst","Competitor","Customer","Integrator","Investor","Partner","Other"]

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='fa8a91bd-dfa8-4365-8e4d-60d07db45aa2'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='3f2c8a24-a17d-4f50-b1b5-d1feee795d45'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='125404ac-4c00-419c-8c9b-ea19e22857b0'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='07e59aea-b548-467a-947c-b745a0174289'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
